> For the complete documentation index, see [llms.txt](https://docs.keyfax.biz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keyfax.biz/integrations/apis/rest-api/api-reference.md).

# API Reference

The below documentation is created programmatically using the Keyfax Web API OpenAPI specification. For more detailed examples on how to call each of these API end-points please see our Web API [Quick Start](/integrations/apis/rest-api/quick-start.md) and [Deep Dive](/integrations/apis/rest-api/deep-dive.md) guides.&#x20;

### Obtaining a Keyfax Launch URL

Use these end-points to post start-up data and obtain a Keyfax launch URL.

{% openapi src="/files/4QFF50mgBabBrKFfz5ke" path="/api/v1/startup" method="get" fullWidth="false" %}
[swagger.json](https://2882349412-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MARm6St_qFGM52R3pBa%2Fuploads%2FB7PbkLveUjxahhsIocAn%2Fswagger.json?alt=media\&token=715d4fa9-4b0c-489b-8e53-03d905e14650)
{% endopenapi %}

{% openapi src="/files/4QFF50mgBabBrKFfz5ke" path="/api/v1/startup" method="post" fullWidth="false" %}
[swagger.json](https://2882349412-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MARm6St_qFGM52R3pBa%2Fuploads%2FB7PbkLveUjxahhsIocAn%2Fswagger.json?alt=media\&token=715d4fa9-4b0c-489b-8e53-03d905e14650)
{% endopenapi %}

### Processing Keyfax Results

Use this end point to obtain Keyfax results.&#x20;

{% openapi src="/files/4QFF50mgBabBrKFfz5ke" path="/api/v1/results" method="post" fullWidth="false" %}
[swagger.json](https://2882349412-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MARm6St_qFGM52R3pBa%2Fuploads%2FB7PbkLveUjxahhsIocAn%2Fswagger.json?alt=media\&token=715d4fa9-4b0c-489b-8e53-03d905e14650)
{% endopenapi %}

### Obtaining API keys

Use these end-points to generate API keys for our `Basic` or `API Key` verification methods.&#x20;

{% openapi src="/files/4QFF50mgBabBrKFfz5ke" path="/api/v1/key" method="get" expanded="false" fullWidth="false" %}
[swagger.json](https://2882349412-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MARm6St_qFGM52R3pBa%2Fuploads%2FB7PbkLveUjxahhsIocAn%2Fswagger.json?alt=media\&token=715d4fa9-4b0c-489b-8e53-03d905e14650)
{% endopenapi %}

{% openapi src="/files/4QFF50mgBabBrKFfz5ke" path="/api/v1/key" method="post" fullWidth="false" %}
[swagger.json](https://2882349412-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MARm6St_qFGM52R3pBa%2Fuploads%2FB7PbkLveUjxahhsIocAn%2Fswagger.json?alt=media\&token=715d4fa9-4b0c-489b-8e53-03d905e14650)
{% endopenapi %}

{% openapi src="/files/4QFF50mgBabBrKFfz5ke" path="/api/v1/key" method="delete" fullWidth="false" %}
[swagger.json](https://2882349412-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MARm6St_qFGM52R3pBa%2Fuploads%2FB7PbkLveUjxahhsIocAn%2Fswagger.json?alt=media\&token=715d4fa9-4b0c-489b-8e53-03d905e14650)
{% endopenapi %}

### Bearer / JWT Tokens

Use these end-points to obtain a short-lived JSON Web Token (JWT) for `Bearer` verification.

{% openapi src="/files/4QFF50mgBabBrKFfz5ke" path="/api/v1/token" method="get" fullWidth="false" %}
[swagger.json](https://2882349412-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MARm6St_qFGM52R3pBa%2Fuploads%2FB7PbkLveUjxahhsIocAn%2Fswagger.json?alt=media\&token=715d4fa9-4b0c-489b-8e53-03d905e14650)
{% endopenapi %}

{% openapi src="/files/4QFF50mgBabBrKFfz5ke" path="/api/v1/token" method="post" fullWidth="false" %}
[swagger.json](https://2882349412-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MARm6St_qFGM52R3pBa%2Fuploads%2FB7PbkLveUjxahhsIocAn%2Fswagger.json?alt=media\&token=715d4fa9-4b0c-489b-8e53-03d905e14650)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keyfax.biz/integrations/apis/rest-api/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
